package cn.com.poc.knowledge.dto;

import cn.com.poc.thirdparty.resource.demand.ai.entity.qaknowledge.ChunkInfo;
import cn.com.poc.thirdparty.resource.demand.dgTools.request.AbstractRequest;
import cn.com.poc.thirdparty.resource.demand.dgTools.result.AbstractResult;

import java.io.Serializable;
import java.util.List;

public class UpsertChunkInfoDto extends AbstractRequest<AbstractResult> implements Serializable {

    /**
     * 知识库ID
     */
    private Integer kdId;

    /**
     * 大小块关联ID
     */
    private String chunkRelationId;

    /**
     * 分片内容
     */
    private String chunkContent;

    /**
     * 分片是否开启
     */
    private String isOpen;

    /**
     * 分片排序
     */
    private Integer chunkSort;


    /**
     * 结构ID
     */
    private Long structId;

    /**
     * 问答知识库分片信息
     */
    private List<ChunkInfo> chunkInfos;

    public Long getStructId() {
        return structId;
    }

    public void setStructId(Long structId) {
        this.structId = structId;
    }

    public List<ChunkInfo> getChunkInfos() {
        return chunkInfos;
    }

    public void setChunkInfos(List<ChunkInfo> chunkInfos) {
        this.chunkInfos = chunkInfos;
    }

    public Integer getKdId() {
        return kdId;
    }

    public void setKdId(Integer kdId) {
        this.kdId = kdId;
    }

    public String getChunkRelationId() {
        return chunkRelationId;
    }

    public void setChunkRelationId(String chunkRelationId) {
        this.chunkRelationId = chunkRelationId;
    }

    public String getChunkContent() {
        return chunkContent;
    }

    public void setChunkContent(String chunkContent) {
        this.chunkContent = chunkContent;
    }

    public String getIsOpen() {
        return isOpen;
    }

    public void setIsOpen(String isOpen) {
        this.isOpen = isOpen;
    }

    public Integer getChunkSort() {
        return chunkSort;
    }

    public void setChunkSort(Integer chunkSort) {
        this.chunkSort = chunkSort;
    }

    @Override
    public String getMethod() throws Exception {
        return null;
    }
}
